%define anolis_release 1
%define debug_package %{nil}

#Global macro/variable 定义

Name:	     cri-rm      
Version:     0.7.2                     
Release:     %{anolis_release}%{?dist}   
Summary:     CRI Resource Manager, a CRI proxy with various in-node workload placement policies     
License:     ASL 2.0
URL:         https://github.com/intel/cri-resource-manager 
Source0:     https://github.com/intel/cri-resource-manager/archive/cri-resource-manager-%{version}.tar.gz
Source1:     package_vendor.tar.gz

Patch1001:   1001--add-vendor-in-go-build.patch

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  go
BuildRequires:  kernel-devel
BuildRequires:  systemd

ExclusiveArch: x86_64

%description
Kubernetes Container Runtime Interface proxy service with hardware resource aware workload
placement policies.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n cri-resource-manager-%{version} -p1
tar -xvf %{SOURCE1}

%build
make build BUILD_DIRS=cri-resmgr


%install
%make_install UNITDIR=%{_unitdir} SYSCONFDIR=%{_sysconfdir} BUILD_DIRS=cri-resmgr
install -m 0700 -d %{?buildroot}%{_sharedstatedir}/cri-resmgr

%files
%defattr(-,root,root,-)
%license LICENSE
%{_bindir}/cri-resmgr
%{_sysconfdir}/sysconfig/cri-resource-manager
%{_unitdir}/cri-resource-manager.service
%dir %attr(0700,root,root) %{_sharedstatedir}/cri-resmgr
%dir %attr(0700,root,root) %{_sysconfdir}/cri-resmgr
%config(noreplace) %{_sysconfdir}/cri-resmgr/fallback.cfg.sample

%files doc
%doc README.md docs/*.md
%doc cmd/*/*.sample

%changelog
* Mon Dec 12 2022 weiwhu <wei.w.hu@intel.com> - 0.7.2-1
- Init package from upstream
